function slideshow (element, video_dataEffect, video_dataTime, video_dataSpeed) {
    element.cycle('destroy');
    element.children('img').removeAttr('class');;
    element.cycle({
        fx: video_dataEffect,
        timeout: video_dataTime,
        speed: video_dataSpeed,
    });
};
function setSlideshow(element, data) {
    slideshow(element, data['fx'], 2000, 1000);
}

function preview() {
    $('.open-modal').on('click', function() {
        var _data = $(this).data();
        video_dataName = _data.name;
        video_dataEffect = _data.fx;
        video_dataTime = _data.time;
        video_dataSpeed = _data.speed;
        video_dataW = _data.w;
        video_dataH = _data.h;
        $('#preview').modal('show');
    });

    $('#preview').on('shown', function() {
        $(this).attr('aria-labelledby', video_dataName.toString()).find('h3').text(video_dataName.toString())
        if(video_dataW > 500) {
            var resize = 500/video_dataW
            video_dataW = Math.floor(video_dataW*resize);
            video_dataH = Math.floor(video_dataH*resize);
            console.log(video_dataW)
        };
        if(video_dataH > 300) {
            var resize = 300/video_dataH
            video_dataW = Math.floor(video_dataW*resize);
            video_dataH = Math.floor(video_dataH*resize);
        }
        slideshow($(this).find('.preview'), video_dataEffect, video_dataTime, video_dataSpeed);
        $(this).find('.preview').css({
            'width': video_dataW,
            'height': video_dataH
        });
        $(this).find('.preview img').css({
            'width': '100%',
            'height': '100%'
        });
    });
    $('#preview').on('hidden', function() {
        $(this).attr('aria-labelledby', '').find('h3').text('')
        $(this).find('.preview').cycle('destroy');
        $(this).find('.preview img').removeAttr('style');
    });
};

$(function() {
    var video_dataName = null,
        video_dataEffect = null,
        video_dataTime = null,
        video_dataSpeed = null,
        video_dataW = null,
        video_dataH = null,
        $preview = $('.main-forms .preview');

    $(".video_pro_ad_fx").change(function () {
        var suckIE = false;
        // video_dataTime = $("#pageslide #timeout").val()*1000;
        // video_dataSpeed = $("#pageslide #speed").val()*1000;

        video_dataTime = parseInt(video_dataTime) || 300;
        video_dataSpeed = parseInt(video_dataSpeed) || 300;
        slideshow($preview, $(this).val(), 2000, 1000);
    });
    preview();
});

